From 9448c0dec9367282e452614308cb405e2d1dee10 Mon Sep 17 00:00:00 2001
From: Pavel Borisov <pashkin.elfe@gmail.com>
Date: Mon, 2 Jan 2023 12:30:16 +0400
Subject: [PATCH v3] meson: Add 'running' test setup, as a replacement for
 installcheck

Does the same as 3f0e786ccbf5 for test_pg_db_role_setting
Also remove unneeded regress_args.
---
 src/test/modules/test_pg_db_role_setting/Makefile    | 3 ---
 src/test/modules/test_pg_db_role_setting/meson.build | 2 +-
 2 files changed, 1 insertion(+), 4 deletions(-)

diff --git a/src/test/modules/test_pg_db_role_setting/Makefile b/src/test/modules/test_pg_db_role_setting/Makefile
index aacd78f74c5..50ac02db449 100644
--- a/src/test/modules/test_pg_db_role_setting/Makefile
+++ b/src/test/modules/test_pg_db_role_setting/Makefile
@@ -13,9 +13,6 @@ REGRESS = test_pg_db_role_setting
 
 # disable installcheck for now
 NO_INSTALLCHECK = 1
-# and also for now force NO_LOCALE and UTF8
-ENCODING = UTF8
-NO_LOCALE = 1
 
 ifdef USE_PGXS
 PG_CONFIG = pg_config
diff --git a/src/test/modules/test_pg_db_role_setting/meson.build b/src/test/modules/test_pg_db_role_setting/meson.build
index 9a2b688049c..cc949c7d747 100644
--- a/src/test/modules/test_pg_db_role_setting/meson.build
+++ b/src/test/modules/test_pg_db_role_setting/meson.build
@@ -32,6 +32,6 @@ tests += {
     'sql': [
       'test_pg_db_role_setting',
     ],
-    'regress_args': ['--no-locale', '--encoding=UTF8'],
+    'runningcheck': false,
   },
 }
-- 
2.24.3 (Apple Git-128)

